import type { _VNImageBasedRequest } from "./VNImageBasedRequest.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
export declare class _VNDetectContoursRequest extends _VNImageBasedRequest {
    static alloc(): _VNDetectContoursRequest;
    static new(): _VNDetectContoursRequest;
    init(): _VNDetectContoursRequest;
    /**
     * @brief The amount to adjust the image's contrast by. A value of +1.0 means that the contrast is not adjusted. The default value is +2.0. @discussion Contour detection works best with high contrast images. The default value of 2 doubles the image's contrast to aid in detection. If the image already has a high contrast then this value should be set to 1.
     */
    contrastAdjustment(): number;
    setContrastAdjustment$(value: number): void;
    /**
     * @brief The pixel value to use as a pivot for the contrast. Valid values are from [0.0 ... +1.0], or nil to auto-detect based on image intensity. The default value is +0.5 (i.e. pixel center).
     */
    contrastPivot(): _NSNumber | null;
    setContrastPivot$(value: _NSNumber | null): void;
    /**
     * @brief Identifies to the request if detecting a dark object on a light background, or vice versa, to aid in detection. The default value is YES.
     * @deprecated -detectsDarkOnLight
     */
    detectsDarkOnLight(): boolean;
    setDetectsDarkOnLight$(value: boolean): void;
    /** @deprecated -detectsDarkOnLight */
    detectDarkOnLight(): boolean;
    setDetectDarkOnLight$(value: boolean): void;
    /**
     * @brief The limit on the maximum dimension of the image to be used for contour detection. Valid range of values is [64 ... NSUIntegerMax]. The default value is 512. @discussion As the contour request is compute intensive, the input image is scaled down maintaining aspect ratio (if needed), such that its maximum dimension is the value of this property. The image never gets scaled up, so specifying the maximum value ensures that the image gets processed in its original size and not downscaled.
     */
    maximumImageDimension(): number;
    setMaximumImageDimension$(value: number): void;
    /** @discussion VNContoursObservation results. */
    results(): _NSArray | null;
}
